<template>
  <view class="myInsurance">
    <view class="myInsuranceCart" v-for="(item, index) in list" :key="index" @click="gopage(item)">
      <view class="">
        <view class="xiangxia"> 承保公司：{{ item.company }} </view>
        <view class="xiangxia"> 保单名称：{{ item.policyName }} </view>
        <view class="xiangxia"> 保单编号：{{ item.policyNumber }} </view>
        <view class="xiangxia"> 保单金额：{{ item.policyPrice }} </view>
        <view class="xiangxia"> 有效时间：{{ item.startTime }}~{{ item.endTime }} </view>
      </view>
    </view>
  </view>
</template>
<script>
export default {
  data() {
    return {
      list: [],
      websitId: ''
    }
  },
  onLoad({ websitId }) {
    uni.showLoading({
      title: '加载中'
    })
    this.$api.post('/worker/policy', { pageNum: 1, pageSize: -1, websitId }).then(res => {
      this.list = res?.data?.records
      this.$nextTick(() => {
        uni.hideLoading()
      })
    })
  },
  methods: {
    gopage(item) {
      this.$navPage(`/packageEnter/pages/insurance/policyParticulars/index?id=${item.id}&websitId=${this.websitId}`)
    }
  }
}
</script>

<style lang="scss" scoped>
.myInsurance {
  box-sizing: border-box;
  padding: 20rpx;
  padding-top: 40rpx;

  .myInsuranceCart {
    width: 100%;
    height: auto;
    box-sizing: border-box;
    padding: 20rpx;
    margin-bottom: 20rpx;
    box-shadow: 2.8px 2.8px 2.2px rgba(0, 0, 0, 0.02), 6.7px 6.7px 5.3px rgba(0, 0, 0, 0.028),
      12.5px 12.5px 10px rgba(0, 0, 0, 0.035), 22.3px 22.3px 17.9px rgba(0, 0, 0, 0.042),
      41.8px 41.8px 33.4px rgba(0, 0, 0, 0.05), 100px 100px 80px rgba(0, 0, 0, 0.07);
    border-radius: 10rpx;

    .myInsuranceCartbuju {
      display: flex;
      justify-content: space-between;
    }

    .xiangxia {
      margin-bottom: 10rpx;
    }
  }
}
</style>
